Drupal.behaviors.imagefieldCycle = function(context) {
  $('div.imagefield-cycle-wrapper', context).each(function(i, wrapper) {
    // Get the child large images container
    var large_images = $('div.large-images', wrapper)[0];

    // Now apply JQuery Cycle to this field
    if ($(large_images).children().length > 1) {
      // Get the parent field contains
      var parent_field = $(wrapper).parents('.field')[0];

      // Get the classes and find the field-specific one.
      var classes = $(parent_field).attr('class').split(' ');
      var prefix_class = '';
      for (i in classes) {
        if (classes[i].indexOf('field-field-') == 0) {
          prefix_class = '.' + classes[i] + ' ';
          break;
        }
      }

      // Apply JQuery Cycle
      $(large_images).cycle({
        speed: 'fast',
        cleartypeNoBg: true,
        timeout: 0,
        pager: prefix_class + 'div.imagefield-cycle-wrapper div.thumb-images',
        pagerAnchorBuilder: function (idx, slide) {
          return prefix_class + 'div.imagefield-cycle-wrapper div.thumb-images div.thumb-image-item:eq(' + idx + ')';
        }
      });
    }
  });
}
